/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.utils;

/**
 * @author 田平 create 2020年11月20日下午7:07:15
 */
public class CycleIntegerUtil {

	private final static CycleAtomicInteger cycleAtomicInteger = new CycleAtomicInteger();

	/**
	 * <pre>
	 * id的范围如下
	 * 0< getNextId() <Integer.MAX_VALUE
	 * </pre>
	 * @return
	 */
	public static int getNextId() {
		return cycleAtomicInteger.nextId();
	}

}
